(in-package :ha)

;;;==========
;;; GRAPHICS
;;;==========

;------------
; Methods for obtaining the coordinates of the objects in pixels
; OM staff methods defined in /code/projects/02-musicproject/editor/scoreeditor/scoretools.lisp
;------------
(defun get-staff-top-px (view)
  (* (om::staff-size view) (om::score-top-margin view)))

(defun get-staff-height-px (view)
  (om::get-system-size (om::staff-sys view) (om::staff-size view)))

(defun get-one-staff-height-px (view)
  (round (* (om::staff-size view) (om::staff-h (car (om::staff-list (om::staff-sys view)))))))

(defun get-staff-line-height-px (view)
  (let* ((staff (car (om::staff-list (om::staff-sys view))))
         (staff-h (round (* (om::staff-size view) (om::staff-h staff)))))
    (round (/ staff-h (om::numlines staff)))))

(defun get-onset-in-px (onset view)
  (om::time-to-pixels view onset))
;  (+ (om::get-key-space view)
;     (om::ms2pixel onset (/ (om::staff-size view) 4) (om::staff-zoom view))))
;------------

(defun get-font-size (view)
  (om::staff-size view))

(defun get-note-size (view)
  (round (/ (om::staff-size view) 4)))

